# Get sender verification status

Returns the phone number ownership verification status for a sender.

Endpoint: GET /v1/projects/{projectId}/whatsapp/senders/{senderId}/verification-status
Version: 1.2.126
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `senderId` (string, required)
    The unique ID of the sender.

## Response 200:

  - `200` (unknown)
    Sender verification status

## Response 200 fields (application/json):

  - `status` (string, required)
    Phone number ownership verification status.
    Enum: "EXPIRED", "NOT_VERIFIED", "UNKNOWN", "VERIFIED"

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 200 examples:

  - `Verified sender` (unknown)
    Phone-number ownership has been successfully verified.

  - `Not verified` (unknown)
    Phone-number ownership has not yet been verified.

  - `Verification expired` (unknown)
    The verification code expired; request a new code to continue.

  - `Unknown verification status` (unknown)
    The phone-number ownership verification status could not be determined.

## Response 400 examples:

  - `ProjectNotInitializedError` (unknown)

## Response 401 examples:

  - `UnauthorizedErrorError` (unknown)

## Response 404 examples:

  - `SenderNotFoundError` (unknown)

## Response 500 examples:

  - `InternalErrorError` (unknown)

